Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixSparseToDense

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixSparseToDense

public abstract class LibMatrixSparseToDense extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`
`static long`
`PAR_THRESHOLD`

## Method Summary

Modifier and Type
Method
Description
`static void`
`sparseToDense(MatrixBlock r, int k)`
Convert the given matrix block to a Dense allocation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

public static final org.apache.commons.logging.Log LOG

### PAR_THRESHOLD

public static long PAR_THRESHOLD

## Method Details

### sparseToDense

public static void sparseToDense(MatrixBlock r, int k)
Convert the given matrix block to a Dense allocation.

There is two exceptions:

- Empty input blocks are not modified.
- Calls where the input block is already dense is ignored.

Parameters:
  `r` - The matrix block to modify, to dense.
  `k` - The parallelization degree.